Bug 153296 - [PATCH] include pidfile in rc script of databases/mysql51-server
[PATCH] include pidfile in rc script of databases/mysql51-server
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Alex Dupre
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-19 19:10 UTC by steve
Modified: 2015-02-27 10:33 UTC (History)
0 users

See Also:


Attachments
file.diff (705 bytes, patch)
2010-12-19 19:10 UTC, steve
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description steve 2010-12-19 19:10:04 UTC
Recent changes to the rc script for mysql removed the pidfile, causing rc.subr to search for mysqld via name. This causes it to find mysql processes it shouldn't find, such as those running outside or inside a chroot or those created by akonadi. Putting the pidfile back fixes it.

Fix: See attached patch

Patch attached with submission follows:
How-To-Repeat: deinstall mysql while running kde4 and/or inside a ports tinderbox
Comment 1 Edwin Groothuis freebsd_committer 2010-12-19 19:10:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ale

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2010-12-20 08:58:03 UTC
ale         2010-12-20 08:57:57 UTC

  FreeBSD ports repository

  Modified files:
    databases/mysql51-server Makefile 
    databases/mysql51-server/files mysql-server.sh.in 
  Log:
  Fix startup script and bump PORTREVISION.
  
  PR:             ports/153296 [1]
  Submitted by:   Steve Wills <steve@mouf.net> [1], dougb
  Lesson learned: Two identical PRs don't make a good patch.
  
  Revision  Changes    Path
  1.273     +1 -1      ports/databases/mysql51-server/Makefile
  1.10      +3 -4      ports/databases/mysql51-server/files/mysql-server.sh.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Alex Dupre freebsd_committer 2010-12-20 08:58:38 UTC
State Changed
From-To: open->closed

Fixed, thanks.
Comment 4 commit-hook freebsd_committer 2015-02-27 10:33:33 UTC
A commit references this bug:

Author: arved
Date: Fri Feb 27 10:32:59 UTC 2015
New revision: 380073
URL: https://svnweb.freebsd.org/changeset/ports/380073

Log:
  Update to 5.3.1

  PR:		153296
  Submitted by:	maintainer

Changes:
  head/www/ephemera/Makefile
  head/www/ephemera/distinfo